POST/schedulelog

Create Schedulelog

This API call allows you to retrieve the schedule log, which includes execution date and time, the corresponding queue ID, and the username of active schedules by providing the schedule ID as an input parameter. By default, it retrieves schedules executed on the current date, but you can filter the results using the startdate and enddate parameters.
POST/schedulelog

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /schedulelog \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "scheduleid": 0,
  "startdate": "2019-08-24",
  "enddate": "2019-08-24"
}

Example responses

200 Response
{
  "scheduleid": 0,
  "rateshopid": 0,
  "queueid": 0,
  "executedat": "2019-08-24"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.